> ## Documentation Index
> Fetch the complete documentation index at: https://docs.toku.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Request My Employment Verification Letter

> Generates the caller's employment verification letter PDF from a Google-Doc template, stores it, and emails it.

Not available to API keys.

## OpenAPI

````yaml api-reference/openapi.json POST /hris/request-my-employment-verification-letter
openapi: 3.1.0
info:
  title: Toku API
  version: 1.0.0
servers:
  - url: https://api.toku.com
security:
  - bearerAuth: []
paths:
  /hris/request-my-employment-verification-letter:
    post:
      operationId: requestMyEmploymentVerificationLetter
      summary: Request My Employment Verification Letter
      description: >-
        Generates the caller's employment verification letter PDF from a
        Google-Doc template, stores it, and emails it.


        Not available to API keys.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: >-
                #/components/schemas/RequestMyEmploymentVerificationLetterRequest
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/RequestMyEmploymentVerificationLetterResponse
        '400':
          description: Bad request
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not found
        '409':
          description: Conflict
        '429':
          description: Response 429
components:
  schemas:
    RequestMyEmploymentVerificationLetterRequest:
      type: object
      properties:
        recipientEmail:
          type: string
          format: email
    RequestMyEmploymentVerificationLetterResponse:
      type: object
      properties:
        status:
          const: SENT
        documentId:
          type: string
      required:
        - status
        - documentId
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
````
